Skip to main content
`Ctrl`+`K`

# PEPRefine

The type of Newton iterative refinement.

## Synopsis

    typedef enum { PEP_REFINE_NONE,
                   PEP_REFINE_SIMPLE,
                   PEP_REFINE_MULTIPLE } PEPRefine;

## Values

- `PEP_REFINE_NONE` - no refinement

- `PEP_REFINE_SIMPLE` - refinement of each converged eigenpair individually

- `PEP_REFINE_MULTIPLE` - refinement of the invariant pair as a whole

## Note

See section Iterative Refinement for a discussion of the different refinement strategies.

## See Also

PEP: Polynomial Eigenvalue Problems, Iterative Refinement, `PEPSetRefine()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages